---
Tournament:
  name: Eastern Ohio Regional Tournament
  short name: Eastern Ohio Regional
  location: Rocky River High School
  state: OH
  level: Regionals
  division: C
  year: 2025
  bids: 6
  start date: 2025-03-08
  end date: 2025-03-08
  awards date: 2025-03-08
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Astronomy
- name: Bungee Drop
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Geologic Mapping
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Robot Tour
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 38
  school: Hudson High School
  city: Hudson
  state: OH
- number: 34
  school: Copley High School
  city: Copley
  state: OH
- number: 42
  school: Nordonia High School
  city: Macedonia
  state: OH
- number: 32
  school: Aurora High School
  city: Aurora
  state: OH
- number: 39
  school: Hudson High School
  city: Hudson
  state: OH
- number: 31
  school: Archbishop Hoban High School
  city: Akron
  state: OH
- number: 44
  school: Stow-Munroe Falls High School
  city: Stow
  state: OH
- number: 40
  school: New Philadelphia High School
  city: New Philadelphia
  state: OH
- number: 41
  school: New Philadelphia High School
  city: New Philadelphia
  state: OH
- number: 36
  school: Dover High School
  city: Dover
  state: OH
- number: 37
  school: Early College at Lehman
  city: Canton
  state: OH
- number: 35
  school: Coshocton High School
  city: Coshocton
  state: OH
- number: 33
  school: Central Christian School
  city: Kidron
  state: OH
- number: 43
  school: Orrville High School
  city: Orrville
  state: OH
Placings:
- team: 38
  event: Air Trajectory
  place: 2
- team: 38
  event: Anatomy and Physiology
  place: 1
- team: 38
  event: Astronomy
  place: 3
- team: 38
  event: Bungee Drop
  place: 4
- team: 38
  event: Chemistry Lab
  place: 2
- team: 38
  event: Codebusters
  place: 2
- team: 38
  event: Disease Detectives
  place: 1
- team: 38
  event: Dynamic Planet
  place: 1
- team: 38
  event: Ecology
  place: 1
- team: 38
  event: Electric Vehicle
  place: 1
- team: 38
  event: Entomology
  place: 1
- team: 38
  event: Experimental Design
  place: 2
- team: 38
  event: Forensics
  place: 1
- team: 38
  event: Fossils
  place: 2
- team: 38
  event: Geologic Mapping
  place: 2
- team: 38
  event: Helicopter
  place: 3
- team: 38
  event: Materials Science
  place: 4
- team: 38
  event: Microbe Mission
  place: 1
- team: 38
  event: Optics
  place: 1
- team: 38
  event: Robot Tour
  place: 1
- team: 38
  event: Tower
  place: 4
- team: 38
  event: Wind Power
  place: 1
- team: 38
  event: Write It Do It
  place: 4
- team: 34
  event: Air Trajectory
  place: 5
- team: 34
  event: Anatomy and Physiology
  place: 4
- team: 34
  event: Astronomy
  place: 2
- team: 34
  event: Bungee Drop
  place: 8
- team: 34
  event: Chemistry Lab
  place: 3
- team: 34
  event: Codebusters
  place: 1
- team: 34
  event: Disease Detectives
  place: 2
- team: 34
  event: Dynamic Planet
  place: 4
- team: 34
  event: Ecology
  place: 2
- team: 34
  event: Electric Vehicle
  place: 3
- team: 34
  event: Entomology
  place: 2
- team: 34
  event: Experimental Design
  place: 1
- team: 34
  event: Forensics
  place: 4
- team: 34
  event: Fossils
  place: 4
- team: 34
  event: Geologic Mapping
  place: 10
- team: 34
  event: Helicopter
  place: 1
- team: 34
  event: Materials Science
  place: 2
- team: 34
  event: Microbe Mission
  place: 2
- team: 34
  event: Optics
  place: 3
- team: 34
  event: Robot Tour
  place: 4
- team: 34
  event: Tower
  place: 1
- team: 34
  event: Wind Power
  place: 5
- team: 34
  event: Write It Do It
  place: 3
- team: 42
  event: Air Trajectory
  place: 1
- team: 42
  event: Anatomy and Physiology
  place: 6
- team: 42
  event: Astronomy
  place: 5
- team: 42
  event: Bungee Drop
  place: 9
- team: 42
  event: Chemistry Lab
  place: 11
- team: 42
  event: Codebusters
  place: 4
- team: 42
  event: Disease Detectives
  place: 4
- team: 42
  event: Dynamic Planet
  place: 8
- team: 42
  event: Ecology
  place: 3
- team: 42
  event: Electric Vehicle
  place: 2
- team: 42
  event: Entomology
  place: 5
- team: 42
  event: Experimental Design
  place: 4
- team: 42
  event: Forensics
  place: 2
- team: 42
  event: Fossils
  place: 1
- team: 42
  event: Geologic Mapping
  place: 6
- team: 42
  event: Helicopter
  place: 2
- team: 42
  event: Materials Science
  place: 6
- team: 42
  event: Microbe Mission
  place: 10
- team: 42
  event: Optics
  place: 6
- team: 42
  event: Robot Tour
  participated: false
- team: 42
  event: Tower
  place: 6
- team: 42
  event: Wind Power
  place: 2
- team: 42
  event: Write It Do It
  place: 1
- team: 32
  event: Air Trajectory
  place: 8
- team: 32
  event: Anatomy and Physiology
  place: 9
- team: 32
  event: Astronomy
  place: 1
- team: 32
  event: Bungee Drop
  place: 2
- team: 32
  event: Chemistry Lab
  place: 1
- team: 32
  event: Codebusters
  place: 3
- team: 32
  event: Disease Detectives
  place: 3
- team: 32
  event: Dynamic Planet
  place: 5
- team: 32
  event: Ecology
  place: 7
- team: 32
  event: Electric Vehicle
  place: 7
- team: 32
  event: Entomology
  place: 6
- team: 32
  event: Experimental Design
  place: 6
- team: 32
  event: Forensics
  place: 8
- team: 32
  event: Fossils
  place: 8
- team: 32
  event: Geologic Mapping
  place: 1
- team: 32
  event: Helicopter
  place: 7
- team: 32
  event: Materials Science
  place: 5
- team: 32
  event: Microbe Mission
  place: 6
- team: 32
  event: Optics
  place: 9
- team: 32
  event: Robot Tour
  participated: false
- team: 32
  event: Tower
  place: 3
- team: 32
  event: Wind Power
  place: 10
- team: 32
  event: Write It Do It
  place: 12
- team: 39
  event: Air Trajectory
  participated: false
- team: 39
  event: Anatomy and Physiology
  place: 2
- team: 39
  event: Astronomy
  place: 7
- team: 39
  event: Bungee Drop
  place: 1
- team: 39
  event: Chemistry Lab
  place: 7
- team: 39
  event: Codebusters
  place: 5
- team: 39
  event: Disease Detectives
  place: 5
- team: 39
  event: Dynamic Planet
  place: 2
- team: 39
  event: Ecology
  place: 10
- team: 39
  event: Electric Vehicle
  participated: false
- team: 39
  event: Entomology
  place: 4
- team: 39
  event: Experimental Design
  place: 3
- team: 39
  event: Forensics
  place: 3
- team: 39
  event: Fossils
  place: 5
- team: 39
  event: Geologic Mapping
  place: 4
- team: 39
  event: Helicopter
  participated: false
- team: 39
  event: Materials Science
  place: 3
- team: 39
  event: Microbe Mission
  place: 8
- team: 39
  event: Optics
  place: 11
- team: 39
  event: Robot Tour
  place: 3
- team: 39
  event: Tower
  place: 2
- team: 39
  event: Wind Power
  place: 9
- team: 39
  event: Write It Do It
  place: 6
- team: 31
  event: Air Trajectory
  place: 3
- team: 31
  event: Anatomy and Physiology
  place: 5
- team: 31
  event: Astronomy
  place: 8
- team: 31
  event: Bungee Drop
  place: 6
- team: 31
  event: Chemistry Lab
  place: 10
- team: 31
  event: Codebusters
  place: 7
- team: 31
  event: Disease Detectives
  place: 6
- team: 31
  event: Dynamic Planet
  place: 7
- team: 31
  event: Ecology
  place: 9
- team: 31
  event: Electric Vehicle
  place: 4
- team: 31
  event: Entomology
  place: 3
- team: 31
  event: Experimental Design
  place: 10
- team: 31
  event: Forensics
  place: 7
- team: 31
  event: Fossils
  place: 3
- team: 31
  event: Geologic Mapping
  place: 9
- team: 31
  event: Helicopter
  place: 4
- team: 31
  event: Materials Science
  place: 9
- team: 31
  event: Microbe Mission
  place: 7
- team: 31
  event: Optics
  place: 8
- team: 31
  event: Robot Tour
  place: 2
- team: 31
  event: Tower
  place: 7
- team: 31
  event: Wind Power
  place: 6
- team: 31
  event: Write It Do It
  place: 7
- team: 44
  event: Air Trajectory
  place: 7
- team: 44
  event: Anatomy and Physiology
  place: 12
- team: 44
  event: Astronomy
  place: 4
- team: 44
  event: Bungee Drop
  place: 3
- team: 44
  event: Chemistry Lab
  place: 6
- team: 44
  event: Codebusters
  place: 8
- team: 44
  event: Disease Detectives
  place: 8
- team: 44
  event: Dynamic Planet
  place: 9
- team: 44
  event: Ecology
  place: 4
- team: 44
  event: Electric Vehicle
  place: 5
- team: 44
  event: Entomology
  place: 7
- team: 44
  event: Experimental Design
  place: 5
- team: 44
  event: Forensics
  place: 5
- team: 44
  event: Fossils
  place: 6
- team: 44
  event: Geologic Mapping
  place: 7
- team: 44
  event: Helicopter
  place: 8
- team: 44
  event: Materials Science
  place: 1
- team: 44
  event: Microbe Mission
  place: 5
- team: 44
  event: Optics
  place: 10
- team: 44
  event: Robot Tour
  participated: false
- team: 44
  event: Tower
  place: 10
- team: 44
  event: Wind Power
  place: 3
- team: 44
  event: Write It Do It
  place: 2
- team: 40
  event: Air Trajectory
  place: 4
- team: 40
  event: Anatomy and Physiology
  place: 3
- team: 40
  event: Astronomy
  place: 6
- team: 40
  event: Bungee Drop
  place: 5
- team: 40
  event: Chemistry Lab
  place: 4
- team: 40
  event: Codebusters
  place: 10
- team: 40
  event: Disease Detectives
  place: 10
- team: 40
  event: Dynamic Planet
  place: 11
- team: 40
  event: Ecology
  place: 8
- team: 40
  event: Electric Vehicle
  place: 6
- team: 40
  event: Entomology
  place: 11
- team: 40
  event: Experimental Design
  place: 9
- team: 40
  event: Forensics
  place: 11
- team: 40
  event: Fossils
  place: 7
- team: 40
  event: Geologic Mapping
  place: 8
- team: 40
  event: Helicopter
  place: 6
- team: 40
  event: Materials Science
  place: 7
- team: 40
  event: Microbe Mission
  place: 11
- team: 40
  event: Optics
  place: 7
- team: 40
  event: Robot Tour
  place: 5
- team: 40
  event: Tower
  place: 5
- team: 40
  event: Wind Power
  place: 8
- team: 40
  event: Write It Do It
  place: 10
- team: 41
  event: Air Trajectory
  place: 6
- team: 41
  event: Anatomy and Physiology
  place: 7
- team: 41
  event: Astronomy
  place: 11
- team: 41
  event: Bungee Drop
  place: 7
- team: 41
  event: Chemistry Lab
  place: 12
- team: 41
  event: Codebusters
  place: 9
- team: 41
  event: Disease Detectives
  place: 9
- team: 41
  event: Dynamic Planet
  place: 3
- team: 41
  event: Ecology
  place: 11
- team: 41
  event: Electric Vehicle
  participated: false
- team: 41
  event: Entomology
  place: 10
- team: 41
  event: Experimental Design
  place: 12
- team: 41
  event: Forensics
  place: 10
- team: 41
  event: Fossils
  place: 9
- team: 41
  event: Geologic Mapping
  place: 3
- team: 41
  event: Helicopter
  place: 9
- team: 41
  event: Materials Science
  place: 8
- team: 41
  event: Microbe Mission
  place: 9
- team: 41
  event: Optics
  place: 14
- team: 41
  event: Robot Tour
  place: 6
- team: 41
  event: Tower
  place: 9
- team: 41
  event: Wind Power
  place: 4
- team: 41
  event: Write It Do It
  place: 11
- team: 36
  event: Air Trajectory
  participated: false
- team: 36
  event: Anatomy and Physiology
  place: 11
- team: 36
  event: Astronomy
  place: 9
- team: 36
  event: Bungee Drop
  participated: false
- team: 36
  event: Chemistry Lab
  place: 5
- team: 36
  event: Codebusters
  place: 6
- team: 36
  event: Disease Detectives
  place: 11
- team: 36
  event: Dynamic Planet
  place: 6
- team: 36
  event: Ecology
  place: 5
- team: 36
  event: Electric Vehicle
  participated: false
- team: 36
  event: Entomology
  participated: false
- team: 36
  event: Experimental Design
  place: 8
- team: 36
  event: Forensics
  place: 6
- team: 36
  event: Fossils
  place: 11
- team: 36
  event: Geologic Mapping
  place: 11
- team: 36
  event: Helicopter
  participated: false
- team: 36
  event: Materials Science
  participated: false
- team: 36
  event: Microbe Mission
  place: 4
- team: 36
  event: Optics
  place: 5
- team: 36
  event: Robot Tour
  participated: false
- team: 36
  event: Tower
  participated: false
- team: 36
  event: Wind Power
  participated: false
- team: 36
  event: Write It Do It
  place: 9
- team: 37
  event: Air Trajectory
  participated: false
- team: 37
  event: Anatomy and Physiology
  place: 8
- team: 37
  event: Astronomy
  place: 10
- team: 37
  event: Bungee Drop
  participated: false
- team: 37
  event: Chemistry Lab
  place: 8
- team: 37
  event: Codebusters
  place: 12
- team: 37
  event: Disease Detectives
  place: 7
- team: 37
  event: Dynamic Planet
  place: 12
- team: 37
  event: Ecology
  place: 12
- team: 37
  event: Electric Vehicle
  participated: false
- team: 37
  event: Entomology
  place: 9
- team: 37
  event: Experimental Design
  place: 11
- team: 37
  event: Forensics
  place: 12
- team: 37
  event: Fossils
  place: 10
- team: 37
  event: Geologic Mapping
  place: 13
- team: 37
  event: Helicopter
  participated: false
- team: 37
  event: Materials Science
  place: 10
- team: 37
  event: Microbe Mission
  place: 3
- team: 37
  event: Optics
  place: 13
- team: 37
  event: Robot Tour
  place: 7
- team: 37
  event: Tower
  participated: false
- team: 37
  event: Wind Power
  place: 7
- team: 37
  event: Write It Do It
  place: 8
- team: 35
  event: Air Trajectory
  participated: false
- team: 35
  event: Anatomy and Physiology
  place: 10
- team: 35
  event: Astronomy
  place: 12
- team: 35
  event: Bungee Drop
  participated: false
- team: 35
  event: Chemistry Lab
  place: 9
- team: 35
  event: Codebusters
  place: 13
- team: 35
  event: Disease Detectives
  place: 12
- team: 35
  event: Dynamic Planet
  place: 10
- team: 35
  event: Ecology
  place: 13
- team: 35
  event: Electric Vehicle
  participated: false
- team: 35
  event: Entomology
  place: 8
- team: 35
  event: Experimental Design
  place: 7
- team: 35
  event: Forensics
  place: 13
- team: 35
  event: Fossils
  place: 12
- team: 35
  event: Geologic Mapping
  place: 12
- team: 35
  event: Helicopter
  participated: false
- team: 35
  event: Materials Science
  participated: false
- team: 35
  event: Microbe Mission
  participated: false
- team: 35
  event: Optics
  place: 12
- team: 35
  event: Robot Tour
  participated: false
- team: 35
  event: Tower
  place: 11
- team: 35
  event: Wind Power
  participated: false
- team: 35
  event: Write It Do It
  place: 13
- team: 33
  event: Air Trajectory
  participated: false
- team: 33
  event: Anatomy and Physiology
  participated: false
- team: 33
  event: Astronomy
  participated: false
- team: 33
  event: Bungee Drop
  participated: false
- team: 33
  event: Chemistry Lab
  participated: false
- team: 33
  event: Codebusters
  place: 11
- team: 33
  event: Disease Detectives
  place: 13
- team: 33
  event: Dynamic Planet
  participated: false
- team: 33
  event: Ecology
  participated: false
- team: 33
  event: Electric Vehicle
  participated: false
- team: 33
  event: Entomology
  participated: false
- team: 33
  event: Experimental Design
  participated: false
- team: 33
  event: Forensics
  place: 9
- team: 33
  event: Fossils
  participated: false
- team: 33
  event: Geologic Mapping
  place: 14
- team: 33
  event: Helicopter
  place: 5
- team: 33
  event: Materials Science
  participated: false
- team: 33
  event: Microbe Mission
  participated: false
- team: 33
  event: Optics
  place: 2
- team: 33
  event: Robot Tour
  participated: false
- team: 33
  event: Tower
  place: 8
- team: 33
  event: Wind Power
  participated: false
- team: 33
  event: Write It Do It
  place: 5
- team: 43
  event: Air Trajectory
  participated: false
- team: 43
  event: Anatomy and Physiology
  participated: false
- team: 43
  event: Astronomy
  participated: false
- team: 43
  event: Bungee Drop
  participated: false
- team: 43
  event: Chemistry Lab
  participated: false
- team: 43
  event: Codebusters
  participated: false
- team: 43
  event: Disease Detectives
  participated: false
- team: 43
  event: Dynamic Planet
  participated: false
- team: 43
  event: Ecology
  place: 6
- team: 43
  event: Electric Vehicle
  participated: false
- team: 43
  event: Entomology
  participated: false
- team: 43
  event: Experimental Design
  participated: false
- team: 43
  event: Forensics
  participated: false
- team: 43
  event: Fossils
  place: 13
- team: 43
  event: Geologic Mapping
  place: 5
- team: 43
  event: Helicopter
  participated: false
- team: 43
  event: Materials Science
  participated: false
- team: 43
  event: Microbe Mission
  participated: false
- team: 43
  event: Optics
  place: 4
- team: 43
  event: Robot Tour
  participated: false
- team: 43
  event: Tower
  participated: false
- team: 43
  event: Wind Power
  participated: false
- team: 43
  event: Write It Do It
  participated: false
